## sgb 20090810

=== Makefile ===
--- 
+++ 
@@ -168,10 +168,10 @@
 	bar tvf /dev/rfd0
 	eject
 
-fullfloppy: $(ALL) ERRATA ANSI AMIGA PROTOTYPES
-	bar cvf /dev/rfd0 $(ALL) ERRATA ANSI AMIGA PROTOTYPES
+fullfloppy: $(ALL) ERRATA ANSI AMIGA PROTOTYPES MSVC
+	bar cvf /dev/rfd0 $(ALL) ERRATA ANSI AMIGA PROTOTYPES MSVC
 	bar tvf /dev/rfd0
 	eject
 
-fulltar: $(ALL) ERRATA ANSI AMIGA PROTOTYPES
-	tar cvf sgb.tar $(ALL) ERRATA ANSI AMIGA PROTOTYPES
+fulltar: $(ALL) ERRATA ANSI AMIGA PROTOTYPES MSVC
+	tar cvf sgb.tar $(ALL) ERRATA ANSI AMIGA PROTOTYPES MSVC
