=== debian/changelog ===
sgb (1:20210202-1) unstable; urgency=medium

  * New upstream version.
  * Build now incorporates the gb_graph-bigalloc.ch change file.

 -- Julian Gilbey <jdg@debian.org>  Sun, 07 Feb 2021 10:50:52 +0000

sgb (1:20090810-3) unstable; urgency=medium

  * Fix FTBFS with split binaries (with thanks to Andreas Beckmann)
    (closes: #981661)
  * Build documentation as PDFs rather than DVI files
  * Request autobuilding (XS-Autobuild: yes)

 -- Julian Gilbey <jdg@debian.org>  Tue, 02 Feb 2021 22:01:42 +0000

sgb (1:20090810-2) unstable; urgency=medium

  * Upgrade packaging standards.
  * Fix FTBFS on bullseye.

 -- Julian Gilbey <jdg@debian.org>  Fri, 29 Jan 2021 13:57:10 +0000

sgb (1:20090810-1) unstable; urgency=low

  * New upstream release (Closes: #438840)
  * Remove sgb-doc -> sgb symlink and rationalise the examples directories
  * Upgrade Standards-Version

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Oct 2009 14:32:26 +0000

sgb (1:20050409-2) unstable; urgency=low

  * Fix watch file and clean target of rules file

 -- Julian Gilbey <jdg@debian.org>  Tue,  7 Nov 2006 05:53:32 +0000

sgb (1:20050409-1) unstable; urgency=low

  * New upstream release (documentation corrections only)
  * No longer make sgb-src transition package (Closes: #308712)
  * Update dependencies to refer to texlive as well as tetex
  * Update copyright file with new download location and create
    debian/watch file
  * Make sure we use string.h not strings.h

 -- Julian Gilbey <jdg@debian.org>  Wed,  1 Nov 2006 21:56:14 +0000

sgb (1:20030623-3) unstable; urgency=low

  * Correct manpage (/usr/doc -> /usr/share/doc) (closes: #283980)

 -- Julian Gilbey <jdg@debian.org>  Tue, 22 Feb 2005 21:42:10 +0000

sgb (1:20030623-2) unstable; urgency=high

  * Fixes RC FTBFS bug: Makefile.debian used -lgb instead of libgb.a
    (closes: #263943)

 -- Julian Gilbey <jdg@debian.org>  Wed, 11 Aug 2004 10:23:11 -0400

sgb (1:20030623-1) unstable; urgency=low

  * New upstream version
  * Use ANSI prototypes throughout (closes: #217429)

 -- Julian Gilbey <jdg@debian.org>  Mon, 27 Oct 2003 22:32:19 +0000

sgb (1:20020726-2) unstable; urgency=low

  * Update dependencies post-cweb transition

 -- Julian Gilbey <jdg@debian.org>  Wed,  5 Mar 2003 16:18:59 +0000

sgb (1:20020726-1) unstable; urgency=low

  * New upstream version
  * MOVED TO NON-FREE: should always have been there, as the license does
    not permit redistribution of modified sources/binaries.

 -- Julian Gilbey <jdg@debian.org>  Thu,  3 Oct 2002 21:48:51 +0100

sgb (1:20020130-1) unstable; urgency=low

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Mar 2002 16:42:50 +0000

sgb (1:20010107-4) unstable; urgency=low

  * Changed priority to extra, as per ftp-maintainers' request.
  * Add some lintian overrides
  * Move to build-arch/build-indep in debian/rules
  * debhelper v.3

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Jan 2002 12:47:43 +0000

sgb (1:20010107-3) unstable; urgency=low

  * Recompiled with new CWEBINPUTS directory for new kpathsea-enabled
    CWEB.

 -- Julian Gilbey <jdg@debian.org>  Tue, 15 Jan 2002 03:34:44 +0000

sgb (1:20010107-2) unstable; urgency=low

  * Realised that as the upstream source is never going to change the
    library interface, the soname should never need to be changed.  So
    reverting to soname of libgb.so.1, and leaving it there.

 -- Julian Gilbey <jdg@debian.org>  Mon, 14 May 2001 15:46:07 +0100

sgb (1:20010107-1) unstable; urgency=low

  * New upstream release

 -- Julian Gilbey <jdg@debian.org>  Tue,  8 May 2001 10:21:59 +0100

sgb (1:20000914-5) unstable; urgency=low

  * Remove the -Wl,-lc option; Ben Collins told me it's not necessary when
    using gcc
  * Rename the -src package to -doc (the change was not a wise thing to
    do); keep the -src package as a temporary dummy package until after
    woody is released (closes: #94822)

 -- Julian Gilbey <jdg@debian.org>  Fri, 27 Apr 2001 01:34:52 +0100

sgb (1:20000914-4) unstable; urgency=low

  * Removed dangling symlink from /usr/lib caused by bad soname in version
    2000.09.14-1

 -- Julian Gilbey <jdg@debian.org>  Mon,  2 Apr 2001 21:04:49 +0100

sgb (1:20000914-3) unstable; urgency=low

  * Renumber package version according to policy (YYYYMMDD, not
    YYYY.MM.DD); oops.
  * Rename sgb-doc as sgb-src

 -- Julian Gilbey <jdg@debian.org>  Wed, 21 Feb 2001 00:42:20 +0000

sgb (1:2000.09.14-2) unstable; urgency=low

  * Correct versioning information in library
  * Add support for DEB_BUILD_OPTIONS
  * Standards version 3.5.0
  * Added ldconfig call in postrm

 -- Julian Gilbey <jdg@debian.org>  Thu, 15 Feb 2001 01:32:07 +0000

sgb (1:2000.09.14-1) unstable; urgency=low

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Thu,  7 Dec 2000 21:09:04 +0000

sgb (1:1999.08.20-8) unstable; urgency=low

  * Have another attempt at removing this symlink, this time it's
    /usr/doc/sgb-doc/examples/examples.  (closes: #58879)

 -- Julian Gilbey <jdg@debian.org>  Thu, 11 May 2000 12:23:13 +0100

sgb (1:1999.08.20-7) unstable; urgency=low

  * Get rid of spurious /usr/share/doc/sgb-doc/examples/examples symlink
    if it exists (closes: #51102)

 -- Julian Gilbey <jdg@debian.org>  Thu, 25 Nov 1999 21:12:06 +0000

sgb (1:1999.08.20-6) unstable; urgency=low

  * Upgrade to Standards version 3.1.1.
  * Make sure to call debhelper autoscripts from maintainer scripts.

 -- Julian Gilbey <jdg@debian.org>  Wed, 24 Nov 1999 21:52:58 +0000

sgb (1:1999.08.20-5) unstable; urgency=low

  * debian/rules should use Makefile.debian for the "clean" target
    (spotted by Roman Hodek)
  * Use -O1 to try to correct the m68k problem instead

 -- Julian Gilbey <jdg@debian.org>  Wed,  8 Sep 1999 00:10:35 +0100

sgb (1:1999.08.20-4) unstable; urgency=low

  * Tried to correct debian.rules again.  This time, compile will use
    -fno-strict-aliasing for all versions of gcc >= 2.95.  And the flag is
    actually used!


