=== debian/watch ===
version=3
opts="uversionmangle=s/-//g" \
  http://ftp.cs.stanford.edu/pub/sgb/sgb-(\d+-\d+-\d+)\.tar\.gz
